Subject: Re: [RFC] [PATCH 1/2] Driver to remember ethernet MAC values: maclist

From: Russell King <[email-masked]>
Date: Mon, 20 Feb 2006 13:02:03 +0000

On Mon, Feb 20, 2006 at 01:57:18PM +0100, Alessandro Zummo wrote:
>   you're certainly right on the ixp4xx, but the are other uses
>  for this driver which we are working on.. for example,
>  some Cirrus Logic ARM based chips (ep93xx) have an ethernet device
>  that could benefit from that.

An alternative solution (suggested in the past) would be to have a
generic kernel command line option such as: mac=<netdev>,<macaddr>

It nicely solves the "no mac address" issue in a lot (if not all)
of the cases.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of:  2.6 Serial core